LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 09-10-2017, 01:10 PM   #1
tux_dude
Member
 
Registered: Dec 2008
Distribution: Slackware64 Current
Posts: 251

Rep: Reputation: 34
Qemu build fail on Slackware64-Current


Unable to build qemu 2.8.1.1 and qemu 2.9.1 on Slackware64-Current. It seems to be related to the recent glibc changes, but not entirely sure. Getting the following error:
Code:
In file included from /tmp/SBo/qemu-2.9.1/linux-user/qemu.h:4:0,
                 from /tmp/SBo/qemu-2.9.1/exec.c:39:
/tmp/SBo/qemu-2.9.1/linux-user/host/x86_64/hostdep.h: In function ‘rewind_if_in_safe_syscall’:
/tmp/SBo/qemu-2.9.1/linux-user/host/x86_64/hostdep.h:28:24: error: dereferencing pointer to incomplete type ‘struct ucontext’
     greg_t *pcreg = &uc->uc_mcontext.gregs[REG_RIP];
                        ^~
Has anyone encounter this issue?
 
Old 09-10-2017, 01:12 PM   #2
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 3,853

Rep: Reputation: 1901Reputation: 1901Reputation: 1901Reputation: 1901Reputation: 1901Reputation: 1901Reputation: 1901Reputation: 1901Reputation: 1901Reputation: 1901Reputation: 1901
you should build 2.10.0 on slackware current.
 
1 members found this post helpful.
Old 09-10-2017, 01:44 PM   #3
tux_dude
Member
 
Registered: Dec 2008
Distribution: Slackware64 Current
Posts: 251

Original Poster
Rep: Reputation: 34
Quote:
Originally Posted by ponce View Post
you should build 2.10.0 on slackware current.
Thanks ponce, 2.10.0 worked.
 
  


Reply

Tags
build, qemu, qemu-build, slackware64-current


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Cant build vlc under slackware64 current USUARIONUEVO Slackware 5 11-23-2016 10:21 AM
[SOLVED] zoneminder-1.25.0 won't build in slackware64-current buckprivatemil Slackware 3 07-19-2013 09:07 PM
[SOLVED] Cannot build physfs-2.0.2 on slackware64 -current andrew.46 Slackware 2 04-09-2012 11:21 PM
qemu and Slackware64-current, Windows 98SE as a guest ( Partly solved! ) afreitascs Slackware 19 04-20-2011 06:42 PM
Slackware64-13.1 : mac (Monkey's Audio Linux port) build fail using sbopkg pokipoki08 Slackware 2 06-05-2010 04:54 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 03:42 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration